commit f26cfe27e19eeb538675ffb2de0503b760662261
Author: Martin Liska <mliska@suse.cz>
Date:   Thu May 21 16:53:35 2020 +0200

    Fix backport due to usage for x_target_flags.
    
    gcc/ChangeLog:
    
            * common/config/aarch64/aarch64-common.c (aarch64_handle_option):
            Use MASK_OUTLINE_ATOMICS for x_target_flags.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index eded702d1ff..7a6c2ea8908 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,8 @@
+2020-05-21  Martin Liska  <mliska@suse.cz>
+
+	* common/config/aarch64/aarch64-common.c (aarch64_handle_option):
+	Use MASK_OUTLINE_ATOMICS for x_target_flags.
+
 2020-05-21  Martin Liska  <mliska@suse.cz>
 
 	* common/config/aarch64/aarch64-common.c (aarch64_handle_option):
diff --git a/gcc/common/config/aarch64/aarch64-common.c b/gcc/common/config/aarch64/aarch64-common.c
index eaa90406c60..21e7820cdb4 100644
--- a/gcc/common/config/aarch64/aarch64-common.c
+++ b/gcc/common/config/aarch64/aarch64-common.c
@@ -111,7 +111,10 @@ aarch64_handle_option (struct gcc_options *opts,
       return true;
 
     case OPT_moutline_atomics:
-      opts->x_aarch64_flag_outline_atomics = val;
+      if (val)
+	opts->x_target_flags |= MASK_OUTLINE_ATOMICS;
+      else
+	opts->x_target_flags &= ~MASK_OUTLINE_ATOMICS;
       return true;
 
     default:

